## org.eclipse.emf.databinding.internal
Class EMFPropertyListener.EMFValuePropertyListener

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.databinding.internal.EMFPropertyListener
              org.eclipse.emf.databinding.internal.EMFPropertyListener.EMFValuePropertyListener

All Implemented Interfaces:
  INativePropertyListener, Adapter, Adapter.Internal

Enclosing class:
  EMFPropertyListener

    public abstract static class EMFPropertyListener.EMFValuePropertyListener

extends EMFPropertyListener

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.databinding.internal.EMFPropertyListener
`EMFPropertyListener.EMFListPropertyListener, EMFPropertyListener.EMFMapPropertyListener, EMFPropertyListener.EMFSetPropertyListener, EMFPropertyListener.EMFValuePropertyListener`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`EMFPropertyListener.EMFValuePropertyListener()`

Method Summary
`void` `notifyChanged(Notification msg)` Does nothing; clients may override so that it does something.

Methods inherited from class org.eclipse.emf.databinding.internal.EMFPropertyListener
`addTo, getFeature, getListener, getOwner, removeFrom`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFPropertyListener.EMFValuePropertyListener

    public EMFPropertyListener.EMFValuePropertyListener()

Method Detail

### notifyChanged

    public void notifyChanged(Notification msg)

  Description copied from class: `AdapterImpl`
  Does nothing; clients may override so that it does something.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Specified by:
    `notifyChanged` in class `EMFPropertyListener`
  Parameters:
    `msg` - a description of the change.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.